PHPmyAdmin blank

Discussion in 'General' started by niemand-glaumy, Nov 25, 2021.

  1. Sers! Me again. :/

    The issue today is: My PMA is blank.
    Last thing I knowingly did was install php8.0 as additional version (See thread here: https://www.howtoforge.com/community/threads/ubuntu-18-additional-php8-0-startup-error.88012/ ). The database worked afterwards and still seems to do so - not sure if PMA worked then, as I was doing stuff on my development-VM (with ISPC and PMA) last night.

    System is Ubuntu18.04 with apache2 and mariaDB.
    ISPC works.
    Database connections work.
    Websites work.
    PMA is blank. (worked for a long while before)

    php -v:
    Code:
    PHP 7.2.34-28+ubuntu18.04.1+deb.sury.org+1 (cli) (built: Nov 19 2021 06:36:36) ( NTS )
    Copyright (c) 1997-2018 The PHP Group
    Zend Engine v3.2.0, Copyright (c) 1998-2018 Zend Technologies
    dpkg-reconfigure phpmyadmin resulted in:
    Code:
    Determining localhost credentials from /etc/mysql/debian.cnf: succeeded.
    dbconfig-common: writing config to /etc/dbconfig-common/phpmyadmin.conf
    dbconfig-common: flushing administrative password
    apache2_invoke: Enable configuration phpmyadmin
    /var/log/apache2/error.log:
    Code:
    [Wed Nov 24 23:39:22.725731 2021] [ssl:warn] [pid 7132] AH01909: web.echstreme.de:8080:0 server certificate does NOT include an ID which matches the server name
    [Wed Nov 24 23:39:22.726168 2021] [ssl:warn] [pid 7132] AH01909: web.echstreme.de:8081:0 server certificate does NOT include an ID which matches the server name
    [Wed Nov 24 23:39:22.727539 2021] [suexec:notice] [pid 7132] AH01232: suEXEC mechanism enabled (wrapper: /usr/lib/apache2/suexec)
    PHP Warning:  PHP Startup: Unable to load dynamic library 'pdo_mysql' (tried: /usr/lib/php/20170718/pdo_mysql (/usr/lib/php/20170718/pdo_mysql: cannot open shared object file: No such file or directory), /usr/lib/php/20170718/pdo_mysql.$
    [Wed Nov 24 23:39:22.838461 2021] [ssl:warn] [pid 7141] AH01909: web.echstreme.de:8080:0 server certificate does NOT include an ID which matches the server name
    [Wed Nov 24 23:39:22.838828 2021] [ssl:warn] [pid 7141] AH01909: web.echstreme.de:8081:0 server certificate does NOT include an ID which matches the server name
    [Wed Nov 24 23:39:22.839008 2021] [:error] [pid 7141] python_init: Python version mismatch, expected '2.7.6', found '2.7.17'.
    [Wed Nov 24 23:39:22.839043 2021] [:error] [pid 7141] python_init: Python executable found '/usr/bin/python'.
    [Wed Nov 24 23:39:22.839045 2021] [:error] [pid 7141] python_init: Python path being used '/usr/lib/python2.7:/usr/lib/python2.7/plat-x86_64-linux-gnu:/usr/lib/python2.7/lib-tk:/usr/lib/python2.7/lib-old:/usr/lib/python2.7/lib-dynload'.
    [Wed Nov 24 23:39:22.839053 2021] [:notice] [pid 7141] mod_python: Creating 8 session mutexes based on 150 max processes and 0 max threads.
    [Wed Nov 24 23:39:22.839055 2021] [:notice] [pid 7141] mod_python: using mutex_directory /tmp
    [Wed Nov 24 23:39:22.848162 2021] [mpm_prefork:notice] [pid 7141] AH00163: Apache/2.4.51 (Ubuntu) mod_fcgid/2.3.9 OpenSSL/1.1.1 mod_python/3.3.1 Python/2.7.17 configured -- resuming normal operations
    [Wed Nov 24 23:39:22.848190 2021] [core:notice] [pid 7141] AH00094: Command line: '/usr/sbin/apache2'

    sudo a2enmod php7.2:
    Code:
    Considering dependency mpm_prefork for php7.2:
    Considering conflict mpm_event for mpm_prefork:
    Considering conflict mpm_worker for mpm_prefork:
    Module mpm_prefork already enabled
    Considering conflict php5 for php7.2:
    Module php7.2 already enabled
    df -h
    Code:
    Filesystem                         Size  Used Avail Use% Mounted on
    udev                               423M     0  423M   0% /dev
    tmpfs                               91M  1.1M   90M   2% /run
    /dev/mapper/ubuntu--vg-ubuntu--lv   49G   21G   26G  44% /
    tmpfs                              455M  4.0K  455M   1% /dev/shm
    tmpfs                              5.0M     0  5.0M   0% /run/lock
    tmpfs                              455M     0  455M   0% /sys/fs/cgroup
    /dev/loop0                          91M   91M     0 100% /snap/core/6350
    /dev/sda2                          976M  221M  689M  25% /boot
    tmpfs                               91M     0   91M   0% /run/user/1000


    Possible issue: PMA having the wrong PHP version set? (default 7.2.x was working fine before I installed PHP8.0 as additional v.) But how to check/change it?
     
  2. ahrasis

    ahrasis Well-Known Member HowtoForge Supporter

    niemand-glaumy likes this.
  3. Code:
    #### SERVER #####
    IP-address (as per hostname): ***.***.***.***
    [WARN] could not determine server's ip address by ifconfig
    [INFO] OS version is Ubuntu 18.04.6 LTS
    
    [INFO] uptime:  04:06:11 up  4:21,  1 user,  load average: 0.33, 0.34, 0.62
    
    [INFO] memory:
                  total        used        free      shared  buff/cache   available
    Mem:           4.4G        2.0G        996M        2.7M        1.4G        2.1G
    Swap:            0B          0B          0B
    
    [INFO] ISPConfig is installed.
    
    ##### ISPCONFIG #####
    ISPConfig version is 3.2.7p1
    
    
    ##### VERSION CHECK #####
    
    [INFO] php (cli) version is 7.2.34-28+ubuntu18.04.1+deb.sury.org+1
    [INFO] php-cgi (used for cgi php in default vhost!) is version 7.2.34
    
    ##### PORT CHECK #####
    
    
    ##### MAIL SERVER CHECK #####
    
    
    ##### RUNNING SERVER PROCESSES #####
    
    [INFO] I found the following web server(s):
            Apache 2 (PID 4357)
    [INFO] I found the following mail server(s):
            Postfix (PID 1848)
    [INFO] I found the following pop3 server(s):
            Dovecot (PID 1177)
    [INFO] I found the following imap server(s):
            Dovecot (PID 1177)
    [INFO] I found the following ftp server(s):
            PureFTP (PID 2157)
    
    ##### LISTENING PORTS #####
    (only           ()
    Local           (Address)
    [localhost]:10026               (2053/amavisd-new)
    [localhost]:10027               (1848/master)
    [anywhere]:587          (1848/master)
    [localhost]:11211               (1071/memcached)
    [anywhere]:110          (1177/dovecot)
    [anywhere]:143          (1177/dovecot)
    [anywhere]:30033                (2468/./ts3server)
    [anywhere]:465          (1848/master)
    [anywhere]:21           (2157/pure-ftpd)
    ***.***.***.***:53              (1070/named)
    [localhost]:53          (1070/named)
    ***.***.***.***:53              (756/systemd-resolve)
    [anywhere]:22           (1341/sshd)
    [anywhere]:25           (1848/master)
    [localhost]:953         (1070/named)
    [anywhere]:10011                (2468/./ts3server)
    [anywhere]:10080                (2468/./ts3server)
    [anywhere]:993          (1177/dovecot)
    [anywhere]:995          (1177/dovecot)
    [anywhere]:10022                (2468/./ts3server)
    [localhost]:10023               (1617/postgrey)
    [localhost]:10024               (2053/amavisd-new)
    [localhost]:10025               (1848/master)
    *:*:*:*::*:10026                (2053/amavisd-new)
    *:*:*:*::*:3306         (1345/mysqld)
    *:*:*:*::*:587          (1848/master)
    [localhost]10           (1177/dovecot)
    [localhost]43           (1177/dovecot)
    *:*:*:*::*:8080         (4357/apache2)
    *:*:*:*::*:80           (4357/apache2)
    *:*:*:*::*:8081         (4357/apache2)
    *:*:*:*::*:30033                (2468/./ts3server)
    *:*:*:*::*:465          (1848/master)
    *:*:*:*::*:21           (2157/pure-ftpd)
    *:*:*:*::*:4949         (1494/perl)
    *:*:*:*::*:53           (1070/named)
    *:*:*:*::*:22           (1341/sshd)
    *:*:*:*::*:25           (1848/master)
    *:*:*:*::*:953          (1070/named)
    *:*:*:*::*:443          (4357/apache2)
    [localhost]0011         (2468/./ts3server)
    [localhost]0080         (2468/./ts3server)
    *:*:*:*::*:993          (1177/dovecot)
    *:*:*:*::*:995          (1177/dovecot)
    [localhost]0022         (2468/./ts3server)
    *:*:*:*::*:10023                (1617/postgrey)
    *:*:*:*::*:10024                (2053/amavisd-new)
    
    
    
    ##### IPTABLES #####
    Chain INPUT (policy ACCEPT)
    target     prot opt source               destination
    f2b-dovecot-pop3imap  tcp  --  [anywhere]/0            [anywhere]/0            multiport dports 110,995,143,993
    f2b-sshd   tcp  --  [anywhere]/0            [anywhere]/0            multiport dports 22
    
    Chain FORWARD (policy ACCEPT)
    target     prot opt source               destination
    
    Chain OUTPUT (policy ACCEPT)
    target     prot opt source               destination
    
    Chain f2b-dovecot-pop3imap (1 references)
    target     prot opt source               destination
    RETURN     all  --  [anywhere]/0            [anywhere]/0
    
    Chain f2b-sshd (1 references)
    target     prot opt source               destination
    REJECT     all  --  ***.***.***.***        [anywhere]/0            reject-with icmp-port-unreachable
    REJECT     all  --  ***.***.***.***       [anywhere]/0            reject-with icmp-port-unreachable
    REJECT     all  --  ***.***.***.***         [anywhere]/0            reject-with icmp-port-unreachable
    RETURN     all  --  [anywhere]/0            [anywhere]/0
    
    
    ##### LET'S ENCRYPT #####
    Certbot is installed in /usr/bin/letsencrypt
    "ispconfig_update.sh --force" also didn't change anything.
     
    Last edited: Nov 25, 2021
  4. ahrasis

    ahrasis Well-Known Member HowtoForge Supporter

  5. Thank you for your help.
    Issue not solved yet.

    Problem located, though:
    info.php in /usr/share/phpmyadmin/ says PHP 8.0, even with 7.2 as default. Resetting with a2dismod and a2enmod didn't do much.
    Adding error reporting to /usr/share/phpmyadmin/index.php makes blank page now display
    Code:
    Fatal error: Array and string offset access syntax with curly braces is no longer supported in /usr/share/phpmyadmin/libraries/url_generating.lib.php on line 231
    PHP8 module is not enabled in apache2:
    Code:
    Loaded Modules:
     core_module (static)
     so_module (static)
     watchdog_module (static)
     http_module (static)
     log_config_module (static)
     logio_module (static)
     version_module (static)
     unixd_module (static)
     access_compat_module (shared)
     actions_module (shared)
     alias_module (shared)
     auth_basic_module (shared)
     auth_digest_module (shared)
     authn_core_module (shared)
     authn_file_module (shared)
     authz_core_module (shared)
     authz_host_module (shared)
     authz_user_module (shared)
     autoindex_module (shared)
     cgi_module (shared)
     dav_module (shared)
     dav_fs_module (shared)
     deflate_module (shared)
     dir_module (shared)
     env_module (shared)
     fcgid_module (shared)
     filter_module (shared)
     headers_module (shared)
     include_module (shared)
     mime_module (shared)
     mpm_prefork_module (shared)
     negotiation_module (shared)
     php7_module (shared)
     proxy_module (shared)
     proxy_fcgi_module (shared)
     python_module (shared)
     reqtimeout_module (shared)
     rewrite_module (shared)
     setenvif_module (shared)
     socache_shmcb_module (shared)
     ssl_module (shared)
     status_module (shared)
     suexec_module (shared)

    So either I find a way to upgrade PMA or force it to use 7.6 (not possible?). Any input?
     
  6. till

    till Super Moderator Staff Member ISPConfig Developer

    Try:

    sudo a2disconf php8.0-fpm

    and restart apache.
     
    niemand-glaumy likes this.
  7. Solved. Thank yous so much!
     

Share This Page